Kapitel 5. Paketmanagement
Zurück | 5.57 `debootstrap` | Weiter

## 5.57 `debootstrap`

`debootstrap` kann verwendet werden, um ein Debian-System von Grund auf neu zu installieren. Dies kann aus einem laufenden System heraus auf einer anderen Partition oder auch in einem Verzeichnis auf dem aktuellen System geschehen, beispielsweise um eine andere Release-Version von Debian zu testen. Auch ist es möglich, mittels `debootstrap` eine Installation von Debian von einer anderen Linux-Distribution aus vorzunehmen. Entsprechende RPM-Pakete von debootstrap finden Sie unter http://people.debian.org/~blade/install/debootstrap.

`debootstrap` nutzt die folgende Syntax:

    debootstrap [OPTION]...  SUITE TARGET [MIRROR [SCRIPT]]

`debootstrap` benötigt neben den im Folgenden beschriebenen Optionen noch Informationen über die zu installierende Debian-Version (SUITE) und das Verzeichnis (TARGET), in dem das neue System erzeugt werden soll. Weiterhin kann ein Debian-Spiegel (MIRROR) angegeben werden, aus dem die notwendigen Pakete bezogen werden sollen. Optional kann auch ein Skript übergeben werden, dies wird während der Installation ausgeführt.

Optionen

`--arch ARCH`

  Architektur, für die das System erzeugt werden soll.

`--download-only`

  Pakete werden nur vom Server geholt, aber nicht installiert.

`--include=a,b,c...`

  Lädt die zusätzlich angegebenen Pakete vom Server und installiert diese. Beachten Sie, dass Abhängigkeiten von Anwender aufzulösen sind, es müssen also alle notwendigen Pakete aufgeführt werden.

`--exclude=a,b,c...`

  Die aufgeführten Pakete werden nicht installiert und auch aus den internen Listen entfernt. Achtung: Dies wird wahrscheinlich essenziell wichtige Pakete löschen.

`--variant=buildd`

  Installiert ein System mit allen für das Programm `buildd` notwendigen Paketen.

`--verbose`

  Gibt mehr Informationen während der Installation aus.

`--print-debs`

  Erzeugt eine Liste der zu installierenden Pakete und beendet dann das Programm.

`--unpack-tarball DATEI`

  Entpackt die notwendigen Pakete aus dem Tar-Archiv `DATEI`. Es werden keine Pakete von einem Server geholt.

`--boot-floppies`

  Nur für die internen Tests beim Erstellen von eigenen Boot-Disketten.

`--debian-installer`

  Für interne Tests des Debian-Installers.

Hier ein Beispiel für die Version „Sarge“: In dem Verzeichnis `sarge-chroot/` im aktuellen Verzeichnis wird ein Basissystem installiert.

    debootstrap sarge ./sarge-chroot http://ftp.debian.org/debian

Zurück | Nach oben | Weiter
5.56 `base-config` | Zum Anfang | 5.58 `modconf`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).